.tribute-container {
    min-width: 250px;
    max-height: 20rem;
    margin-top: 1rem;
    border-radius: 15px;
    overflow: hidden;
    display: block !important;
    opacity: 0;
    pointer-events: none;
    transform: translateY(2rem);
    background-color: rgba(255, 255, 255, 0.85);
    backdrop-filter: saturate(1.5) blur(20px);
    -webkit-backdrop-filter: saturate(1.5) blur(20px);
    transition: all .15s ease-in-out;
    z-index: 9999;
}

.tribute-container > ul {
    max-height: inherit;
    padding: .4rem;
    overflow: auto;
    scrollbar-width: thin;
}

.tribute-container.tribute-active {
    opacity: 100;
    pointer-events: auto;
    transform: translateY(0);
    box-shadow: 0 10px 30px rgba(0, 0, 20, .2), 0 2px 10px rgba(0, 0, 20, .05), inset 0 -1px 2px hsla(0, 0%, 100%, .025);
}

.mention-item {
    display: flex;
    align-items: center;
    gap: calc(0.25rem * 1.5);
    padding: calc(0.3rem * 1.5) calc(0.4rem * 1.5);
    cursor: pointer;
    border-radius: 10px;
}

.mention-item__avatar {
    min-height: calc(0.25rem * 7);
    min-width: calc(0.25rem * 7);
    height: calc(0.25rem * 7);
    width: calc(0.25rem * 7);
    border-radius: calc(infinity * 1px);
    background-color: #cbd5e1;
    overflow: hidden;
    font-size: 0;
    text-align: center;
    text-wrap: nowrap;
    text-overflow: ellipsis;
    white-space: nowrap;
    position: relative;
}

.mention-item__info {
    display: flex;
    flex-direction: column;
}

.mention-item__info-label {
    font-size: 0.75rem;
    font-weight: 600;
    line-height: calc(1 / 0.75);
}

.mention-item__info-hint {
    font-size: 12px;
    margin-top: calc(0.25rem * -0.5);
    color: rgba(0, 0, 0, 0.55);
}

.no-match {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 8px;
    font-weight: 500;
    color: rgba(0, 0, 0, .5);
}

.highlight .mention-item {
    background-color: rgba(var(--primary-500, 25, 36, 70), 0.12)
}

.highlight .mention-item__info-hint,
.highlight .mention-item__info-label {
    color: rgb(0, 0, 0)
}

.dark .tribute-container {
    background-color: rgba(24, 24, 27, 0.83);
    border: 1px solid #29292f;
    box-shadow: 0 10px 30px rgba(27, 27, 32, 0.21), 0 2px 10px rgba(0, 0, 0, 0.54), inset 0 -1px 2px hsla(0, 4.6%, 12.7%, 0.24);
}

.dark .mention-item__info-hint {
    color: rgba(255, 255, 255, 0.7);
}

.dark .mention-item__avatar {
    background-color: #f2f2f2;
}

.dark .no-match {
    color: rgba(255, 255, 255, 0.5);
}

.dark .highlight .mention-item {
    background-color: rgba(var(--primary-500, 255, 255, 255), 0.12)
}

.dark .highlight .mention-item__info-hint,
.dark .highlight .mention-item__info-label {
    color: rgb(255, 255, 255)
}
